Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO::Special_Basic_Arg_Traits_T< T, to_T, from_T > Struct Template Reference

`#include <Special_Basic_Argument_T.h>`

Inheritance diagram for TAO::Special_Basic_Arg_Traits_T< T, to_T, from_T >:

[legend]
List of all members.

## Public Types
typedef T | ret_type
typedef T | in_type
typedef T & | inout_type
typedef T & | out_type
typedef In_Special_Basic_Argument_T< T, to_T, from_T > | in_arg_val
typedef Inout_Special_Basic_Argument_T< T, to_T, from_T > | inout_arg_val
typedef Out_Special_Basic_Argument_T< T, to_T, from_T > | out_arg_val
typedef Ret_Special_Basic_Argument_T< T, to_T, from_T > | ret_val
typedef Special_Basic_Tag | idl_tag

### template<typename T, typename to_T, typename from_T>
struct TAO::Special_Basic_Arg_Traits_T< T, to_T, from_T >

## Member Typedef Documentation

template<typename T, typename to_T, typename from_T>
typedef Special_Basic_Tag TAO::Special_Basic_Arg_Traits_T< T, to_T, from_T >::idl_tag

template<typename T, typename to_T, typename from_T>
typedef In_Special_Basic_Argument_T<T,to_T,from_T> TAO::Special_Basic_Arg_Traits_T< T, to_T, from_T >::in_arg_val

template<typename T, typename to_T, typename from_T>
typedef T TAO::Special_Basic_Arg_Traits_T< T, to_T, from_T >::in_type

template<typename T, typename to_T, typename from_T>
typedef Inout_Special_Basic_Argument_T<T,to_T,from_T> TAO::Special_Basic_Arg_Traits_T< T, to_T, from_T >::inout_arg_val

template<typename T, typename to_T, typename from_T>
typedef T& TAO::Special_Basic_Arg_Traits_T< T, to_T, from_T >::inout_type

template<typename T, typename to_T, typename from_T>
typedef Out_Special_Basic_Argument_T<T,to_T,from_T> TAO::Special_Basic_Arg_Traits_T< T, to_T, from_T >::out_arg_val

template<typename T, typename to_T, typename from_T>
typedef T& TAO::Special_Basic_Arg_Traits_T< T, to_T, from_T >::out_type

template<typename T, typename to_T, typename from_T>
typedef T TAO::Special_Basic_Arg_Traits_T< T, to_T, from_T >::ret_type

template<typename T, typename to_T, typename from_T>
typedef Ret_Special_Basic_Argument_T<T,to_T,from_T> TAO::Special_Basic_Arg_Traits_T< T, to_T, from_T >::ret_val

The documentation for this struct was generated from the following file:

- Special_Basic_Argument_T.h